Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Cannot build from Stage1
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
pratbrat
n00b
n00b


Joined: 10 Apr 2005
Posts: 30
Location: Toronto

PostPosted: Sun Apr 10, 2005 11:11 pm    Post subject: Cannot build from Stage1 Reply with quote

Hi all. I am more or less new to Linux and I am trying to install gentoo stage1 on a HP VLi8, PIII 450MHz with 128MB Ram. Gentoo reads all of my hardware since I have no issues with hdparm, links2 and can actually d/l stage1 and portage source. I have followed the steps for changing /etc/make.conf without any problems as far as I can tell.

When I run "env-update" after running "chroot" to change to my partition environment, my machine does not print " * caching service dependencies" as the Gentoo Handbook says it should, but rather it prints something like "Revisioning ..... .lo

In other words it does somethint to a file with an .lo extension.

But that is not the issue that is stumping me.

After updating Portage tree and setting my USE= variables in the /etc/make.conf file, I of course run the following command:

# emerge --update --deep --newuse world

And this is where the real problem starts because it will eventually give me the following error message:

/bin/sh: line 1: -I .. /c++ :No such file or directory
make[1]: *** [ .. /obj_s/cursesf.o ] Error 127
make[1]: *** Waiting for unfinished jobs ....
make[1]: *** [ .. /obj_s/cursesm.o] Error 127
make[1]: Leaving directory '/var/tmp/portage/ncurses 5.4-r5/work/ncurses-5.4/c++'
make: *** [all] Error 2

!!! Error: sys-libs/ncurses-5.4-r5 failed
!!! Function src-compile, Line 84, Exitcode 2
!!! make failed

:cry:

I would appreciate any help from anyone. I am not completely useless around a computer, so even if the replies are of a technical nature, I do not mind. Gentoo has given me a new appreciation for Linux OSes, and I hope to learn as much as possible about it.

Cheers all. Hope to hear from you soon.
Back to top
View user's profile Send private message
cokey
Advocate
Advocate


Joined: 23 Apr 2004
Posts: 3343

PostPosted: Sun Apr 10, 2005 11:21 pm    Post subject: Reply with quote

if that is an emerged package just use the stage 3 instead of the stage 1, it looks like someone has broken ncurses...
_________________
"Sex: breakfast of champions" - James Hunt
Back to top
View user's profile Send private message
cyrillic
Watchman
Watchman


Joined: 19 Feb 2003
Posts: 7313
Location: Groton, Massachusetts USA

PostPosted: Sun Apr 10, 2005 11:38 pm    Post subject: Re: Cannot build from Stage1 Reply with quote

pratbrat wrote:
After updating Portage tree and setting my USE= variables in the /etc/make.conf file, I of course run the following command:

# emerge --update --deep --newuse world

And this is where the real problem starts ...

I think the instructions skip a couple of steps for a stage1 installation.

Instead of updating world, you need to do this first.
Code:
# cd /usr/portage
# scripts/bootstrap.sh
# emerge system

This brings you up to the same point as if you had started with a stage3 tarball. You don't need to update at this point since you have just finished compiling the base system using the most up to date packages.
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Mon Apr 11, 2005 5:35 am    Post subject: Reply with quote

Please see https://forums.gentoo.org/viewtopic-t-299349.html

Moved from Installing Gentoo.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum